import { expect, tap } from '@pushrocks/tapbundle';
import * as webrequest from '../ts/index.js';

tap.test('should run multiendpoint request', async (tools) => {
  const done = tools.defer();
  const response = await new webrequest.WebRequest()
    .requestMultiEndpoint(['https://lossless.com'], {
      method: 'GET',
    })
    .catch((e) => {
      done.resolve();
    });
  await done.promise;
});

tap.start();
